summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKarl Linden <karl.j.linden@gmail.com>2016-05-28 19:08:34 +0200
committerPatrice Clement <monsieurp@gentoo.org>2016-06-12 21:32:45 +0000
commitf7824d6e3a2dd6874157d9fc4f008987d49aa89f (patch)
tree020a08ec29a2f4806b8f61a160e9e6d7a8bb5517 /media-sound/lilypond
parentdev-util/osc: Update to the version 0.154.0 (diff)
downloadgentoo-f7824d6e3a2dd6874157d9fc4f008987d49aa89f.tar.gz
gentoo-f7824d6e3a2dd6874157d9fc4f008987d49aa89f.tar.bz2
gentoo-f7824d6e3a2dd6874157d9fc4f008987d49aa89f.zip
media-sound/lilypond: Various updates.
* Fix metapost deps in 2.18.2-r1, wrt bug 525712. * Do not install HACKING in 2.18.2-r1 because it is irrelevant. * EAPI 6 for version 2.18.2 and revbump to -r2. * Sync live ebuild with version 2.18.2-r2. * Make -9999 version a "conditional live ebuild". * Version bump to 2.19.42. * Drop 2.19.15. Package-Manager: portage-2.3.0_rc1 Gentoo-Bug: https://bugs.gentoo.org/525712 Closes: https://github.com/gentoo/gentoo/pull/1552 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
Diffstat (limited to 'media-sound/lilypond')
-rw-r--r--media-sound/lilypond/Manifest2
-rw-r--r--media-sound/lilypond/lilypond-2.18.2-r1.ebuild8
-rw-r--r--media-sound/lilypond/lilypond-2.18.2-r2.ebuild (renamed from media-sound/lilypond/lilypond-2.19.15.ebuild)31
-rw-r--r--media-sound/lilypond/lilypond-2.19.42.ebuild137
-rw-r--r--media-sound/lilypond/lilypond-9999.ebuild30
5 files changed, 186 insertions, 22 deletions
diff --git a/media-sound/lilypond/Manifest b/media-sound/lilypond/Manifest
index 44c4319bb39..dd9b0f940b5 100644
--- a/media-sound/lilypond/Manifest
+++ b/media-sound/lilypond/Manifest
@@ -1,2 +1,2 @@
DIST lilypond-2.18.2.tar.gz 16027977 SHA256 329d733765b0ba7be1878ae3f457dbbb875cc2840d2b75af4afc48c9454fba07 SHA512 0692f6eb41733076ba7f610cd1e65762f4dfd67307e2ab9e222b140d58ae3a1bb1c6b3be3bcff778d57f161868cf6d57e99bf43bf20f2663d042a07493942ec6 WHIRLPOOL 95db264992a1e425fd1ee53d980941eef554c1784a1adfc105750d82d11664f61207c2b1897b6e99448790131c0715f08401f45b663c420553925596c6fd4b1c
-DIST lilypond-2.19.15.tar.gz 16351341 SHA256 bc48d2cf23cfabf79e8b7fdfcb46b7e8c04ba63c3b076b5bca2bbb3a86a07da9 SHA512 a2004086ebd9f4d6fa5d38910a605a3fa7ce76e126f6be6e0c9cdc6a7443f47a435e5dfac1cf54c1eb5113b5c3909a57943c7f6e84c31b7bf7f4cb7c5bfa71c7 WHIRLPOOL 2e7610e7a21a6ce1f042789c2f30aad2ea626971b816ebb18aa45471cdebde7f53fb0e94f5d0d20e1d950efd125c50f76621e3fbc8f260d1cabfa2ee59e37e3e
+DIST lilypond-2.19.42.tar.gz 16870150 SHA256 f925284e994a67712c9d57437f2ff4329a987793e071d6944bdf32d762b81c8c SHA512 2f94656f20bae50797985657c0e557aca793044c8b9ae137ee6bbdee60cb4aa72cca0988d8ae19bf24cc4948d2ba73cb87ce9530a746daeb93632e0092ea5acf WHIRLPOOL 887f4fa188f999474ab3b3240dafb1130861b38768bfbae18dd2096488bfb645b189ab47563f5d6de0dee81279d6fe84f5d2c9af690db0c0e767cf26dfb1fa72
diff --git a/media-sound/lilypond/lilypond-2.18.2-r1.ebuild b/media-sound/lilypond/lilypond-2.18.2-r1.ebuild
index 109621ac757..65671688c7e 100644
--- a/media-sound/lilypond/lilypond-2.18.2-r1.ebuild
+++ b/media-sound/lilypond/lilypond-2.18.2-r1.ebuild
@@ -29,9 +29,11 @@ RDEPEND=">=app-text/ghostscript-gpl-8.15
DEPEND="${RDEPEND}
app-text/t1utils
dev-lang/perl
+ dev-libs/kpathsea
+ >=dev-texlive/texlive-metapost-2013
|| (
- ( >=dev-texlive/texlive-metapost-2013 >=dev-tex/metapost-1.803 )
- <dev-texlive/texlive-metapost-2013
+ >=app-text/texlive-core-2013
+ >=dev-tex/metapost-1.803
)
virtual/pkgconfig
media-gfx/fontforge[png]
@@ -118,7 +120,7 @@ src_install () {
python_fix_shebang "${ED}"
- dodoc AUTHORS.txt HACKING NEWS.txt README.txt
+ dodoc AUTHORS.txt NEWS.txt README.txt
}
pkg_postinst() {
diff --git a/media-sound/lilypond/lilypond-2.19.15.ebuild b/media-sound/lilypond/lilypond-2.18.2-r2.ebuild
index b53f90cc371..e27ca3602f7 100644
--- a/media-sound/lilypond/lilypond-2.19.15.ebuild
+++ b/media-sound/lilypond/lilypond-2.18.2-r2.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=5
+EAPI=6
PYTHON_COMPAT=( python2_7 )
-inherit elisp-common autotools eutils python-single-r1
+inherit elisp-common autotools python-single-r1
DESCRIPTION="GNU Music Typesetter"
SRC_URI="http://download.linuxaudio.org/lilypond/sources/v${PV:0:4}/${P}.tar.gz"
@@ -19,7 +19,7 @@ IUSE="debug emacs profile vim-syntax ${LANGS// / linguas_}"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND=">=app-text/ghostscript-gpl-8.15
- >=dev-scheme/guile-1.8.2[deprecated,regex]
+ >=dev-scheme/guile-1.8.2:12[deprecated,regex]
media-fonts/urw-fonts
media-libs/fontconfig
media-libs/freetype:2
@@ -29,12 +29,14 @@ RDEPEND=">=app-text/ghostscript-gpl-8.15
DEPEND="${RDEPEND}
app-text/t1utils
dev-lang/perl
+ dev-libs/kpathsea
+ >=dev-texlive/texlive-metapost-2013
|| (
- ( >=dev-texlive/texlive-metapost-2013 >=dev-tex/metapost-1.803 )
- <dev-texlive/texlive-metapost-2013
+ >=app-text/texlive-core-2013
+ >=dev-tex/metapost-1.803
)
virtual/pkgconfig
- media-gfx/fontforge
+ media-gfx/fontforge[png]
>=sys-apps/texinfo-4.11
>=sys-devel/bison-2.0
sys-devel/flex
@@ -44,6 +46,13 @@ DEPEND="${RDEPEND}
# Correct output data for tests isn't bundled with releases
RESTRICT="test"
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.17.2-tex-docs.patch
+ "${FILESDIR}"/${P}-fontforge.patch
+)
+
+DOCS=( AUTHORS.txt NEWS.txt README.txt )
+
pkg_setup() {
# make sure >=metapost-1.803 is selected if it's installed, bug 498704
if [[ ${MERGE_TYPE} != binary ]] && has_version ">=dev-tex/metapost-1.803" ; then
@@ -57,7 +66,7 @@ pkg_setup() {
}
src_prepare() {
- epatch "${FILESDIR}"/${PN}-2.17.2-tex-docs.patch
+ eapply "${PATCHES[@]}"
if ! use vim-syntax ; then
sed -i 's/vim//' GNUmakefile.in || die
@@ -76,6 +85,8 @@ src_prepare() {
# remove bundled texinfo file (fixes bug #448560)
rm tex/texinfo.tex || die
+ eapply_user
+
eautoreconf
}
@@ -113,7 +124,9 @@ src_install () {
elisp-site-file-install "${FILESDIR}"/50${PN}-gentoo.el
fi
- dodoc AUTHORS.txt HACKING NEWS.txt README.txt
+ python_fix_shebang "${ED}"
+
+ einstalldocs
}
pkg_postinst() {
diff --git a/media-sound/lilypond/lilypond-2.19.42.ebuild b/media-sound/lilypond/lilypond-2.19.42.ebuild
new file mode 100644
index 00000000000..f27ba3673fd
--- /dev/null
+++ b/media-sound/lilypond/lilypond-2.19.42.ebuild
@@ -0,0 +1,137 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+[[ "${PV}" = "9999" ]] && inherit git-r3
+inherit elisp-common autotools python-single-r1
+
+if [[ "${PV}" = "9999" ]]; then
+ EGIT_REPO_URI="git://git.sv.gnu.org/lilypond.git"
+else
+ SRC_URI="http://download.linuxaudio.org/lilypond/sources/v${PV:0:4}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~hppa ~x86"
+fi
+
+DESCRIPTION="GNU Music Typesetter"
+HOMEPAGE="http://lilypond.org/"
+
+LICENSE="GPL-3 FDL-1.3"
+SLOT="0"
+LANGS=" ca cs da de el eo es fi fr it ja nl ru sv tr uk vi zh_TW"
+IUSE="debug emacs profile vim-syntax ${LANGS// / linguas_}"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND=">=app-text/ghostscript-gpl-8.15
+ >=dev-scheme/guile-1.8.2:12[deprecated,regex]
+ media-fonts/tex-gyre
+ media-libs/fontconfig
+ media-libs/freetype:2
+ >=x11-libs/pango-1.12.3
+ emacs? ( virtual/emacs )
+ ${PYTHON_DEPS}"
+DEPEND="${RDEPEND}
+ app-text/t1utils
+ dev-lang/perl
+ dev-libs/kpathsea
+ >=dev-texlive/texlive-metapost-2013
+ || (
+ >=app-text/texlive-core-2013
+ >=dev-tex/metapost-1.803
+ )
+ virtual/pkgconfig
+ media-gfx/fontforge[png]
+ >=sys-apps/texinfo-4.11
+ >=sys-devel/bison-2.0
+ sys-devel/flex
+ sys-devel/gettext
+ sys-devel/make"
+
+# Correct output data for tests isn't bundled with releases
+RESTRICT="test"
+
+DOCS=( README.txt )
+
+pkg_setup() {
+ # make sure >=metapost-1.803 is selected if it's installed, bug 498704
+ if [[ ${MERGE_TYPE} != binary ]] && has_version ">=dev-tex/metapost-1.803" ; then
+ if [[ $(readlink "${EROOT}"/usr/bin/mpost) =~ mpost-texlive-* ]] ; then
+ einfo "Updating metapost symlink"
+ eselect mpost update || die
+ fi
+ fi
+
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ if ! use vim-syntax ; then
+ sed -i 's/vim//' GNUmakefile.in || die
+ fi
+
+ # respect CFLAGS
+ sed -i 's/OPTIMIZE -g/OPTIMIZE/' aclocal.m4 || die
+
+ for lang in ${LANGS}; do
+ use linguas_${lang} || rm po/${lang}.po || die
+ done
+
+ # respect AR
+ sed -i "s/^AR=ar/AR=$(tc-getAR)/" stepmake/stepmake/library-vars.make || die
+
+ # remove bundled texinfo file (fixes bug #448560)
+ rm tex/texinfo.tex || die
+
+ eapply_user
+
+ eautoreconf
+}
+
+src_configure() {
+ # documentation generation currently not supported since it requires a newer
+ # version of texi2html than is currently in the tree
+
+ econf \
+ --with-texgyre-dir=/usr/share/fonts/tex-gyre \
+ --disable-documentation \
+ --disable-optimising \
+ --disable-pipe \
+ $(use_enable debug debugging) \
+ $(use_enable profile profiling)
+}
+
+src_compile() {
+ default
+
+ if use emacs ; then
+ elisp-compile elisp/lilypond-{font-lock,indent,mode,what-beat}.el \
+ || die "elisp-compile failed"
+ fi
+}
+
+src_install () {
+ emake DESTDIR="${D}" vimdir=/usr/share/vim/vimfiles install
+
+ # remove elisp files since they are in the wrong directory
+ rm -r "${ED}"/usr/share/emacs || die
+
+ if use emacs ; then
+ elisp-install ${PN} elisp/*.{el,elc} elisp/out/*.el \
+ || die "elisp-install failed"
+ elisp-site-file-install "${FILESDIR}"/50${PN}-gentoo.el
+ fi
+
+ python_fix_shebang "${ED}"
+
+ einstalldocs
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}
diff --git a/media-sound/lilypond/lilypond-9999.ebuild b/media-sound/lilypond/lilypond-9999.ebuild
index 009d9e36e6d..f27ba3673fd 100644
--- a/media-sound/lilypond/lilypond-9999.ebuild
+++ b/media-sound/lilypond/lilypond-9999.ebuild
@@ -1,13 +1,19 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=5
+EAPI=6
PYTHON_COMPAT=( python2_7 )
-inherit elisp-common autotools eutils git-r3 python-single-r1
+[[ "${PV}" = "9999" ]] && inherit git-r3
+inherit elisp-common autotools python-single-r1
-EGIT_REPO_URI="git://git.sv.gnu.org/lilypond.git"
+if [[ "${PV}" = "9999" ]]; then
+ EGIT_REPO_URI="git://git.sv.gnu.org/lilypond.git"
+else
+ SRC_URI="http://download.linuxaudio.org/lilypond/sources/v${PV:0:4}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~hppa ~x86"
+fi
DESCRIPTION="GNU Music Typesetter"
HOMEPAGE="http://lilypond.org/"
@@ -19,7 +25,7 @@ IUSE="debug emacs profile vim-syntax ${LANGS// / linguas_}"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND=">=app-text/ghostscript-gpl-8.15
- >=dev-scheme/guile-1.8.2[deprecated,regex]
+ >=dev-scheme/guile-1.8.2:12[deprecated,regex]
media-fonts/tex-gyre
media-libs/fontconfig
media-libs/freetype:2
@@ -29,12 +35,14 @@ RDEPEND=">=app-text/ghostscript-gpl-8.15
DEPEND="${RDEPEND}
app-text/t1utils
dev-lang/perl
+ dev-libs/kpathsea
+ >=dev-texlive/texlive-metapost-2013
|| (
- ( >=dev-texlive/texlive-metapost-2013 >=dev-tex/metapost-1.803 )
- <dev-texlive/texlive-metapost-2013
+ >=app-text/texlive-core-2013
+ >=dev-tex/metapost-1.803
)
virtual/pkgconfig
- media-gfx/fontforge
+ media-gfx/fontforge[png]
>=sys-apps/texinfo-4.11
>=sys-devel/bison-2.0
sys-devel/flex
@@ -44,6 +52,8 @@ DEPEND="${RDEPEND}
# Correct output data for tests isn't bundled with releases
RESTRICT="test"
+DOCS=( README.txt )
+
pkg_setup() {
# make sure >=metapost-1.803 is selected if it's installed, bug 498704
if [[ ${MERGE_TYPE} != binary ]] && has_version ">=dev-tex/metapost-1.803" ; then
@@ -74,6 +84,8 @@ src_prepare() {
# remove bundled texinfo file (fixes bug #448560)
rm tex/texinfo.tex || die
+ eapply_user
+
eautoreconf
}
@@ -113,7 +125,7 @@ src_install () {
python_fix_shebang "${ED}"
- dodoc HACKING README.txt
+ einstalldocs
}
pkg_postinst() {